Bambi Dynamic Input Components

=> Free Text
--------------------------------
component's manually added props:
  onInputChanged: function.
    -> required!
  disabled: boolean.
    if not provided - default to false.
  initialValue: string.
    not required. can initial input only once.
  placeholder: string.
    not required, but no default.
  rtl: boolean.
    if not provided - default to false (ltr).
  ariaLabel: string.
    for accessability (screen readers).
  id: string.
    unique identifier for scripting and styling (css selector).
  missing: boolean.
    if not provided - default to false. evoke error mode.

=> Email Address
--------------------------------
component's manually added props:
  onEmailChanged: function.
    -> required!
  disabled: boolean.
    if not provided - default to false.
  ariaLabel: string.
    for accessability (screen readers).
  placeholder: string.
    not required, but no default.
  id: string.
    unique identifier for scripting and styling (css selector).
  rtl: boolean.
    if not provided - default to false (ltr).
  missing: boolean.
    if not provided - default to false. evoke error mode.


=> Phone Number
--------------------------------
component's manually added props:
  onPhoneNumberChanged: function.
    -> required!
  disabled: boolean.
    if not provided - default to false.
  ariaLabel: string.
    for accessability (screen readers).
  placeholder: string.
    not required, but no default. will appear in the number section, not in prefix.
  id: string.
    unique identifier for scripting and styling (css selector).
  rtl: boolean.
    if not provided - default to false (ltr). applied to text only - layout remains ltr.
  missing: boolean.
    if not provided - default to false. evoke error mode.


=> Date Picker
--------------------------------
component's manually added props:
  onDateChanged: function.
    -> required!
  disabled: boolean.
    if not provided - default to false.
  ariaLabel: string.
    for accessability (screen readers).
  placeholder: string.
    not required, but no default.
  id: string.
    unique identifier for scripting and styling (css selector).
  initialValue: string.
    not required. pattern: 'dd.mm.yyyy'.
  maxDate: string.
    not required. pattern: 'dd.mm.yyyy'.
  minDate: string.
    not required. pattern: 'dd.mm.yyyy'.
  missing: boolean.
    if not provided - default to false. evoke error mode.


=> Israeli ID Number
--------------------------------
component's manually added props:
  onIdChanged: function.
    -> required!
  disabled: boolean.
    if not provided - default to false.
  ariaLabel: string.
    for accessability (screen readers).
  placeholder: string.
    not required, but no default.
  id: string.
    unique identifier for scripting and styling (css selector).
  missing: boolean.
    if not provided - default to false. evoke error mode.

=> Plate Number Input
--------------------------------
component's manually added props:
  onPlateNumChanges: function.
    -> required!
  missing: boolean.
    if not provided - default to false. evoke error mode.
  ariaLabel: string.
    for accessability (screen readers).
  rtl: boolean.
    if not provided - default to false (ltr). applied to text only - layout remains ltr.

=> Mutual Exclusive Selection
--------------------------------
component's manually added props:
  options: array of strings.
  onSelected: function.
    -> required!
  id: string.
    unique identifier for scripting and styling (css selector).

=> Select Gender
--------------------------------
component's manually added props:
  onGenderSelected: function.
    -> required!

=> Switch Button (checkbox)
--------------------------------
component's manually added props:
  onChange: function.
    -> required!

=> Google Captcha (not-a-robot)
--------------------------------
component's manually added props:
  onCaptchaChanged: function.
    -> required!
  reCaptchaSiteKey: string.

