'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.errorInlineStyle = exports.StyledInput = undefined;

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var popAnimation = 'all 0.25s cubic-bezier(0.755, 0.125, 0.180, 0.910)';

var StyledInput = exports.StyledInput = _styledComponents2.default.input.withConfig({
  displayName: 'StyledInput'
})(['direction:', ';outline:none;font-size:', ';width:100%;height:auto;padding:1em;background-color:rgba(234,236,240,0.3);border:solid 1px #cfd7db;border-radius:10px;color:#202a31;&:hover{cursor:line;background-color:rgba(187,220,255,0.15);border:solid 1px #83b9f2;transition:', ';}&:focus{background-color:rgba(255,255,255,0.3);box-shadow:0 4px 8px 0 rgba(82,132,187,0.3);border:solid 1px #83b9f2;transition:', ';}::placeholder{font-size:1em;text-align:', ';color:#202a31;}::-webkit-input-placeholder{font-size:1em;text-align:', ';color:#202a31;}::-webkit-inner-spin-button,::-webkit-outer-spin-button{-webkit-appearance:none;margin:0;}'], function (props) {
  return props.rtl ? 'rtl' : 'ltr';
}, function (props) {
  return props.fontSize ? props.fontSize + 'px' : 'inherit';
}, popAnimation, popAnimation, function (props) {
  return props.rtl ? 'rtl' : 'ltr';
}, function (props) {
  return props.rtl ? 'rtl' : 'ltr';
});
var errorInlineStyle = exports.errorInlineStyle = {
  backgroundColor: 'rgba(242, 100, 85, 0.15)',
  color: '#f26455',
  border: 'solid 1px #f26455'
};